GET
/
v1
/
webhooks
Query Webhooks
curl --request GET \
  --url https://api.bolt.com/v1/webhooks \
  --header 'X-API-Key: <api-key>'
{
  "webhooks": [
    {
      "created_at": 1485997169003,
      "url": "https://eva-nerv.shop.com/path/to/hook",
      "webhook_id": "wh_za7VbYcSQU2zRgGQXQAm-g",
      "events": [
        "pending"
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Query Parameters

division_id
string
required

The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.

Response

Success

webhooks
object[]